/**
 * Theme Name: Stratford Steel
 * Template:   hello-elementor
 * Description: Custom Theme for Stratford Steel
 * Version: 1.0.0
 * Author: Cristopher Becerra
 * Author URI: https://www.cristopherbecerra.com
 * Text Domain: stratfordsteel
 * Tested up to: 6.8.1
 * Requires at least: 6.8
 * Requires PHP:      8.3
 * License:           MIT
 * License URI:       https://opensource.org/license/mit
 */

:root {

   --main-black-color: #000000;
   --main-white-color: #ffffff;
   --main-red-color:rgb(226, 28, 33);
}

@font-face {
   font-family: Magistral;
   src: url(/wp-content/themes/stratfordsteel/assets/fonts/fonnts.com-Magistral_Bold.otf) format('opentype');
   font-weight: 700; /* Bold weight */
   font-style: normal;
}

@font-face {
   font-family: AvenirLight;
   src: url(/wp-content/themes/stratfordsteel/assets/fonts/avenir-lt-w01_35-light1475496.woff2) format('woff2');
   font-weight: 300; /* Bold weight */
   font-style: normal;
}

@font-face {
   font-family: Avenir;
   src: url(/wp-content/themes/stratfordsteel/assets/fonts/avenir-lt-w01_85-heavy1475544.woff2) format('woff2');
   font-weight: 900; /* Heavy weight */
   font-style: normal;
}

@font-face {
   font-family: Futura;
   src: url(/wp-content/themes/stratfordsteel/assets/fonts/futura-lt-w01-book.woff2) format('woff2');
   font-weight: 400; /* Normal weight */
   font-style: normal;
}

@font-face {
   font-family: Futura;
   src: url(/wp-content/themes/stratfordsteel/assets/fonts/futura-lt-w01-light.woff2) format('woff2');
   font-weight: 300; /* Light weight */
   font-style: normal;
}

@font-face {
   font-family: Helvetica;
   src: url(/wp-content/themes/stratfordsteel/assets/fonts/helvetica-w01-light.woff2) format('woff2');
   font-weight: 300; /* Light weight */
   font-style: normal;
}


* {
   box-sizing: border-box;
}

/*Fonts family*/
.font-family-ITCAvantGardePro-Md {
   font-family: "ITCAvantGardePro-Md", Sans-serif;
}
.font-family-Avenir-light {
   font-family: "AvenirLight", Sans-serif;
}
.font-family-Avenir {
   font-family: "Avenir", Sans-serif;
}

.font-family-Futura {
   font-family: "Futura", Sans-serif;
}

.font-family-Helvetica {
   font-family: "Helvetica", Sans-serif;
}
.font-weight-light{
   font-weight: 300;
}
.font-weight-normal{
   font-weight: 400;
}
.font-weight-heavy{
   font-weight: 900;
}


.padding-left-4 {
   padding-left: 40px;
}

.padding-top-4 {
   padding-top: 80px;
}

.padding-top-2 {
   padding-top: 40px;
}

.padding-bottom-4 {
   padding-bottom: 40px;
}

.padding-x-4 {
   padding-left: 40px;
   padding-right: 40px;
}

.d-flex {
   display: flex;
}

.flex-direction-column {
   flex-direction: column;
}

.flex-direction-row {
   flex-direction: row;
}

.justify-content-start {
   justify-content: start;
}

.justify-content-center {
   justify-content: center;
}

.justify-content-end {
   justify-content: end;
}

.justify-content-evenly {
   justify-content: space-evenly;
}

.align-items-start {
   align-items: start;
}

.align-items-center {
   align-items: center;
}

.align-items-end {
   align-items: end;
}

.flex-grow {
   flex-grow: 1;
}

.width-100 {
   width: 100%;
}

.d-on-desktop {
   display: none;
}

.img-stretch img {
   height: 100%;
}

.child-width-auto>* {
   width: auto !important;
}

/*Background colors*/
.bg-black-main {
   background-color: var(--main-black-color);
}

/*Colors*/

.color-black-main {
   color: var(--main-black-color);
}
.color-white-main {
   color: var(--main-white-color);
}



.bold {
   font-weight: bold;
}

.object-position-center{
   object-position: center;
}

.object-fit-contain{
   object-fit: contain;
}

.object-fit-cover{
   object-fit: cover;
}


.pill-shape{
   border-radius: calc(1.2rem + 10px);
}


/*Header*/
header {
   /*position: sticky;*/
   /*position:absolute;*/
   top: 0;
   z-index: 999;
}



.desktop-menu {
   display: none;
}

.mobile-menu-container{
   background-color: var(--main-black-color);
}

.mobile-menu-container .visible{
   display: flex;
}

.logo {
   max-height: 84px;
   margin-left:20px;
   /*width: auto;*/
}

.logo img{
   height: 84px;
}

.menu-button {
   width: 40px;
   margin-right: 20px;
   object-fit: contain;
   cursor: pointer;
}

.mobile-menu {
   width: 100vw;
   height: 0px;
   overflow: hidden;
}

.mobile-menu.display {
   height: 100vh;
   width: 100vw;
   background-color: var(--main-red-color);
   position: absolute;
   top: 0;
   left: 0;
   z-index: 999;
   /*border-bottom: solid 5px var(--main-blue-color);*/
}

.mobile-menu ul{
   list-style-type: none;
   margin: 0;
   padding: 0 15%;
}

.mobile-menu ul li{
   text-align: center;
   padding: 5% 0;
}

.mobile-menu ul li a{
   color: var(--main-black-color);
   text-transform: uppercase;
   display:block;
   width: 100%;
   position: relative;
}

.mobile-menu ul li a:has(+ ul)::after{
   content: url(/wp-content/themes/stratfordsteel/assets/icons/chevron-arriba.png);
   position: absolute;
   top: 0;
   right: 0;
   transform: rotateX(180deg);
}

.mobile-menu ul li a.active{
   color:var(--main-white-color);
}

.mobile-menu ul.submenu{
   display:none;
}

.mobile-menu-option button{
   padding:0;
   margin:0;
}

.mobile-menu-option button img{
   width: 25px;
   height: 25px;
   transition: all 30s ease-out;
}

.mobile-menu-option.open{
   background-color: var(--main-red-color);
}

.mobile-menu-option.open img{
   transform: rotateX(180deg);
}

.mobile-menu-option.open ul.submenu{
   display: block;
}

#mobile-menu-close {
   display: none;
}

.mobile-menu>a {
   width: 60%;
   display: block;
   margin: auto;
   text-decoration: none;
   font-size: 1.5rem;
}


/*Footer*/
.footer-stratfordsteel p{
   margin: 0;
}

.social-icons{
   text-align: center;
}

.menuOpened{
   overflow: hidden;
}


@media screen and (min-width: 1024px) and (orientation: landscape) {
   

   /*Helpers*/
   .d-on-mobile {
      display: none;
   }

   .d-on-desktop {
      display: inherit;
      ;
   }

   .padding-left-4 {
      padding-left: 80px;
   }

   .padding-x-4 {
      padding-left: 80px;
      padding-right: 80px;
   }

   /*Menu mobile*/
   .mobile-menu-container{
      display:none;
   }
   .desktop-menu{
      display:flex;
      background-color: var(--main-black-color);
      align-items: center;
      padding-bottom:22px;
   }

   .desktop-menu .title{
      color:var(--main-white-color);
      display:flex;
      justify-content: center;
      align-items: start;
      flex-direction: column;
      margin-left:2%;
   }

   .desktop-menu .title p{
      margin:0;
      padding:0;
   }

   .desktop-menu .menu{
      text-transform: uppercase;
      color:var(--main-white-color);
      flex-grow: 1;
      height: 100%;
      margin-right: 2%;
   }
   .desktop-menu .menu nav{
      height: 100%;
   }
   .desktop-menu .menu nav ul{
      /*display:flex;*/
      list-style-type: none;
   }
   .desktop-menu .menu nav>ul{
      display:flex;
      align-items: center;
      height: 100%;
      justify-content: end;
   }
   .desktop-menu .menu nav>ul>li{
      background-color: var(--main-black-color);
      padding:0 3%;
      display:block;
   }
   .desktop-menu .menu a{
      text-align: center;
      display: block;
   }
   .desktop-menu .menu nav ul li a{
      color:var(--main-white-color);
      font-size: 13px;
      line-height: 37px;
      transition:margin-right 2s,color 1s;
   }
   .desktop-menu .menu nav ul li a:hover{
      color:var(--main-red-color);
   }

   .desktop-menu .menu ul.submenu{
      display:none;
      background-color: var(--main-black-color);
   }

   .desktop-menu .menu nav ul li:hover ul.submenu{
      display:block;
      position: absolute;
      padding: 0 10px;
      z-index: 999;
   }

   .desktop-menu .menu nav ul li:hover ul.submenu li a{
      font-size:10px;
   }

   /*Footer*/
   .footer-stratfordsteel{
      display: flex;
      padding: 1% 10%;
   }
   .footer-stratfordsteel p{
      margin: 0;
   }

   .social-icons{
      text-align: end;
   }
}